#ifndef EXPERIMENTSETTINGFORM_H
#define EXPERIMENTSETTINGFORM_H

#include <QWidget>

namespace Ui {
class ExperimentSettingForm;
}

class ExperimentSettingForm : public QWidget
{
    Q_OBJECT

public:
    explicit ExperimentSettingForm(QWidget *parent = nullptr);
    ~ExperimentSettingForm();

signals:
    void sigConnectToDevice(const QByteArray&);
private:
    void uiReset();
    //slot
    void slotPhaseCheck();
    void slotPhase2StateChanged(int state);
    void slotPhase3StateChanged(int state);
    void slotPhase4StateChanged(int state);

    void slotConnectToDevice();
    void slotCancel();
private:
    Ui::ExperimentSettingForm *ui;
};

#endif // EXPERIMENTSETTINGFORM_H
